
#ifndef _TYPECHECK_CC
#define _TYPECHECK_CC
int typeCheck(Node *node)
{
	int result = 1 ;

	switch(node->getType())
	{
		case 4:
			if(node->getChild(0)->getToken() == VOID)
			{
				printf("Void variable declaration.\n") ;
				result = 0 ;
			}
			break;
		default:
			break;
	}

	int i = 0 ;
	Node *prtree = node->getChild(i) ;
	while(prtree != NULL)
	{
		result &= typeCheck(prtree) ;
		prtree = node->getChild(++i) ;
	}

	prtree = node->getSibling() ;
	if(prtree != NULL)
		result &= typeCheck(prtree) ;

	return result ;
}
#endif
